Vagrant.configure("2") do |config|

  config.vm.provider "virtualbox" do |v|
	v.memory = 2048
	v.cpus = 2
  end
  
  config.vm.define "jenkins" do |jenkins|
    	jenkins.vm.box = "debian/buster64"
	jenkins.vm.network "private_network", ip: "192.168.56.2"
	jenkins.vm.network "forwarded_port", guest: 8080, host: 8888 #Jenkins local port on Host
	jenkins.vm.network "forwarded_port", guest: 3000, host: 9999 #Node App local port on Host
	jenkins.vm.hostname = "jenkins"
	jenkins.vm.provision "shell", inline: "chmod +x /vagrant/install-jenkins.sh"
	jenkins.vm.provision "shell", inline: "echo VM created. Please log in to the server and run /vagrant/install-jenkins.sh"
  end
end

